import asyncio
from concurrent.futures import ThreadPoolExecutor

from v6d3music.utils.extract import extract


async def aextract(params: dict, url: str, **kwargs):
    with ThreadPoolExecutor() as pool:
        return await asyncio.get_running_loop().run_in_executor(
            pool,
            extract,
            params,
            url,
            kwargs
        )
