from typing import AsyncIterable

from v6d3music.core.entries_effects_for_args import *
from v6d3music.core.ystate import *
from v6d3music.core.ytaudio import YTAudio
from v6d3music.processing.pool import *
from v6d3music.utils.argctx import *

from v6d2ctx.context import Context


async def yt_audios(ctx: Context, args: list[str]) -> AsyncIterable[YTAudio]:
    assert ctx.guild is not None
    argctx = ArgCtx(default_effects(ctx.guild.id), args)
    async with Pool(5) as pool:
        async for audio in YState(pool, ctx, argctx.sources).iterate():
            yield audio
